<?php

require_once "../../../app/model/db.class.php";

function descrip($tabla,$cod){
         $obj = new database();
         $obj->conectar(); $obj->consulta("set names 'utf8'");
         $result=$obj->consulta("select * from ".$tabla." where codigo='".$cod."';");
         $rs=$obj->fetch_assoc($result);
         $obj->disconnect();
         return $rs['descripcion'];
    }

function descrip2($tabla,$cod,$grado){
         $obj = new database();
         $obj->conectar(); $obj->consulta("set names 'utf8'");
         $result=$obj->consulta("select * from ".$tabla." where codigo='".$cod."' and grado='".$grado."';");
         $rs=$obj->fetch_assoc($result);
         $obj->disconnect();
         return $rs['descripcion'];
    }

function jornada($tabla,$cod,$grado){
         $obj = new database();
         $obj->conectar(); $obj->consulta("set names 'utf8'");
         $result=$obj->consulta("select * from ".$tabla." where codigo='".$cod."' and grado='".$grado."';");
         $rs=$obj->fetch_assoc($result);
         
         
        $result2=$obj->consulta("select * from jornadas where codigo='".$rs['jornada']."' ;");
        $rs2=$obj->fetch_assoc($result2);
        $obj->disconnect();

        $info[]=$rs['jornada'];
        $info[]=$rs2['descripcion'];

        return $info;
    }

  function sede($tabla,$cod,$grado){
         $obj = new database();
         $obj->conectar(); $obj->consulta("set names 'utf8'");
         $result=$obj->consulta("select * from ".$tabla." where codigo='".$cod."' and grado='".$grado."';");
         $rs=$obj->fetch_assoc($result);


        $result2=$obj->consulta("select * from sedes where codigo='".$rs['sede']."' ;");
        $rs2=$obj->fetch_assoc($result2);
        $obj->disconnect();

        $info[]=$rs['sede'];
        $info[]=$rs2['descripcion'];

        return $info;
    }

if ($_REQUEST['accion']=='info_comp_codigo'){

    $obj = new database();

    $codigo=$_REQUEST['codigo'];


    header("Content-type:text/xml");
    $textoXML= "<?xml version='1.0' encoding='ISO-8859-1'?>";
    
    
    $obj->conectar(); $obj->consulta("set names 'utf8'");
    $resultado=$obj->consulta("select * from matriculas where codigo='".$codigo."';");
    
    if($obj->numero_de_filas($resultado)==0){
        
        $textoXML.="<datos>no</datos>";
    }else{

        $resultado=$obj->consulta("select * from matriculas where codigo='".$codigo."' and estado='A';");


        $row=$obj->fetch_assoc($resultado);



        if($obj->numero_de_filas($resultado)<>0)
        {
         $infoper=$obj->consulta("select * from alumnos where codigo='".$codigo."'");
         $datos=$obj->fetch_assoc($infoper);

         $textoXML.="<datos>";
         $textoXML.="<nombre>".($datos['p_apellido']." ".$datos['s_apellido']." ".$datos['p_nombre']." ".$datos['s_nombre'])."</nombre>";
         $textoXML.="<codg>".$row['grado']."</codg>";
         $textoXML.="<txcodg>".descrip('grados', $row['grado'])."</txcodg>";
         $textoXML.="<codc>".$row['curso']."</codc>";
         $textoXML.="<txcodc>".descrip2('cursos',$row['curso'], $row['grado'])."</txcodc>";

         $jonada=jornada('cursos',$row['curso'], $row['grado']);
         $textoXML.="<codjor>".$jonada[0]."</codjor>";
         $textoXML.="<desjor>".$jonada[1]."</desjor>";


         $sede=sede('cursos',$row['curso'], $row['grado']);
         $textoXML.="<codsed>".$sede[0]."</codsed>";
         $textoXML.="<dessed>".$sede[1]."</dessed>";

         $textoXML.="</datos>";


        }else{
         $textoXML.="<datos>no_a</datos>";
        }
    }

    echo $textoXML;

   

}




?>